summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Michael Heras <userxbw@gmail.com>2018-05-17 07:13:20 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-05-17 07:13:20 +0700
commitcb4dbb8cde33ca34cd20ec7ef8eb7fc0d8759170 (patch)
tree1b5de3641d02b4d28bdd0c45e68af853c1e85199 /desktop
parent93b9db3396c30f650377cd2cf799a43f18d23238 (diff)
downloadslackbuilds-cb4dbb8cde33ca34cd20ec7ef8eb7fc0d8759170.tar.gz
slackbuilds-cb4dbb8cde33ca34cd20ec7ef8eb7fc0d8759170.tar.xz
desktop/xpenguins_themes: Added (addon for xpenguins).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xpenguins_themes/README3
-rw-r--r--desktop/xpenguins_themes/slack-desc19
-rw-r--r--desktop/xpenguins_themes/xpenguins_themes.SlackBuild75
-rw-r--r--desktop/xpenguins_themes/xpenguins_themes.info10
4 files changed, 107 insertions, 0 deletions
diff --git a/desktop/xpenguins_themes/README b/desktop/xpenguins_themes/README
new file mode 100644
index 0000000000..d101aa94b9
--- /dev/null
+++ b/desktop/xpenguins_themes/README
@@ -0,0 +1,3 @@
+ XPenguins Themes 1.0
+
+ addon for XPenguins
diff --git a/desktop/xpenguins_themes/slack-desc b/desktop/xpenguins_themes/slack-desc
new file mode 100644
index 0000000000..a62c5c8aca
--- /dev/null
+++ b/desktop/xpenguins_themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xpenguins_themes: xpenguins_themes (addon for xpenguins)
+xpenguins_themes:
+xpenguins_themes: Addon for xpenguins.
+xpenguins_themes:
+xpenguins_themes:
+xpenguins_themes:
+xpenguins_themes:
+xpenguins_themes:
+xpenguins_themes:
+xpenguins_themes:
+xpenguins_themes:
diff --git a/desktop/xpenguins_themes/xpenguins_themes.SlackBuild b/desktop/xpenguins_themes/xpenguins_themes.SlackBuild
new file mode 100644
index 0000000000..85a0d18d5a
--- /dev/null
+++ b/desktop/xpenguins_themes/xpenguins_themes.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for <xpenguins_themes>
+
+# Copyright <2018> <Michael Heras> <USA>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# |-----------------------------------------------------------------| #
+
+PRGNAM=xpenguins_themes
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+#untars to just themes
+cd themes
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/xpenguins/themes/Lemmings
+mkdir -p $PKG/usr/share/xpenguins/themes/Sonic_the_Hedgehog
+mkdir -p $PKG/usr/share/xpenguins/themes/The_Simpsons
+mkdir -p $PKG/usr/share/xpenguins/themes/Winnie_the_Pooh
+mkdir -p $PKG/usr/share/xpenguins/themes/Worms
+
+cp -r Lemmings/* $PKG/usr/share/xpenguins/themes/Lemmings
+cp -r Sonic_the_Hedgehog/* $PKG/usr/share/xpenguins/themes/Sonic_the_Hedgehog
+cp -r The_Simpsons/* $PKG/usr/share/xpenguins/themes/The_Simpsons
+cp -r Winnie_the_Pooh/* $PKG/usr/share/xpenguins/themes/Winnie_the_Pooh
+cp -r Worms/* $PKG/usr/share/xpenguins/themes/Worms
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xpenguins_themes/xpenguins_themes.info b/desktop/xpenguins_themes/xpenguins_themes.info
new file mode 100644
index 0000000000..3e3ae950ef
--- /dev/null
+++ b/desktop/xpenguins_themes/xpenguins_themes.info
@@ -0,0 +1,10 @@
+PRGNAM="xpenguins_themes"
+VERSION="1.0"
+HOMEPAGE="http://xpenguins.seul.org"
+DOWNLOAD="http://xpenguins.seul.org/xpenguins_themes-1.0.tar.gz"
+MD5SUM="827445e56d6f6216c43303c12ec2bbc1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="xpenguins"
+MAINTAINER="Michael Heras"
+EMAIL="userxbw@gmail.com"